TechDraw RadiusDimension/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(27 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=TechDraw Dimension Radius|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Radius|Shortcut=|SeeAlso=}}


{{Docnav
|[[TechDraw_VerticalDimension|VerticalDimension]]
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=TechDraw Dimension Radius|Workbenches=[[TechDraw_Workbench|TechDraw]]|MenuLocation=TechDraw → Dimension Radius|Shortcut=|SeeAlso=}}
</div>

<span id="Description"></span>
==Descriere==
==Descriere==
Instrumentul Radius Dimension adaugă o dimensiune a unei raze la o View. Cota/dimensiunea poate fi aplicată la orice margine în desenul care este un cerc sau un arc de cerc.
Instrumentul Radius Dimension adaugă o dimensiune a unei raze la o View. Cota/dimensiunea poate fi aplicată la orice margine în desenul care este un cerc sau un arc de cerc.
[[File:RadiusSample.png|200px|center]]
[[File:RadiusSample.png|200px|center]]


The '''TechDraw RadiusDimension''' tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.
==How to use==
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{KEY|[[Image:Dimension_Radius.png|24px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.


[[Image:TechDraw_Dimension_Radius_example.png|130px]]
==Opțiuni==
{{Caption|Measuring a circle, indicating the radius}}
Niciuna.


<span id="Usage"></span>
==Cum se folosește==

# Select a circle or circular arc. The geometry may be selected in the [[3D_view|3D view]] or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
# If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the [[Tree_view|Tree view]].
# There are several ways to invoke the tool:
#* Press the {{Button|[[Image:TechDraw_RadiusDimension.svg|16px]] [[TechDraw_RadiusDimension|Insert Radius Dimension]]}} button.
#* Select the {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_RadiusDimension.svg|16px]] Insert Radius Dimension}} option from the menu.
# A dimension is added to the View.
# The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].

===Display 3D measurement===

See [[TechDraw_LengthDimension#Display_3D_measurement|TechDraw LengthDimension]].

===Change properties===

To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|Dimension dialog]].

== Limitations ==

Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]].

==Notes==

See [[TechDraw_LengthDimension#Notes|TechDraw LengthDimension]].

<span id="Properties"></span>
==Proprietăți==
==Proprietăți==
{{TechDraw DimProps}}


See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].

<span id="Scripting"></span>
==Script==
==Script==
Cotele tip rază pot fi adăugate la Pages utilizând Python.
Cotele tip rază pot fi adăugate la Pages utilizând Python.

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

The Radius Dimension tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:

{{Code|code=
{{Code|code=
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
dim1.References2D=[(view1, "Edge1")]
rc = page.addView(dim1)
page.addView(dim1)
}}


{{Docnav
|[[TechDraw_VerticalDimension|VerticalDimension]]
|[[TechDraw_DiameterDimension|DiameterDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
}}
}}
==Note==
* Toate Cotele/Distanțele sunt extrem de vulnerabile la infama problemă a "topological naming". În acest moment nu este posibilă menținerea referințelor la obiectele geometrice 2D (proiectate) sau 3D (reale) în sincronizare cu modificările din model. Se recomandă adăugarea de Cote la sfârșitul procesului de creare a desenului..


{{TechDraw Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:46, 27 July 2023

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Descriere

Instrumentul Radius Dimension adaugă o dimensiune a unei raze la o View. Cota/dimensiunea poate fi aplicată la orice margine în desenul care este un cerc sau un arc de cerc.

The TechDraw RadiusDimension tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.

Measuring a circle, indicating the radius

Cum se folosește

  1. Select a circle or circular arc. The geometry may be selected in the 3D view or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
  2. If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
    • Press the Insert Radius Dimension button.
    • Select the TechDraw → Dimensions → Insert Radius Dimension option from the menu.
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Display 3D measurement

See TechDraw LengthDimension.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Proprietăți

See TechDraw LengthDimension.

Script

Cotele tip rază pot fi adăugate la Pages utilizând Python.

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.References2D=[(view1, "Edge1")]
page.addView(dim1)